import os
from h2o_wave import app, main, Q, ui


@app("/")
async def serve(q: Q):
    steam_url = os.getenv("STEAM_URL")
    q.page["my_card"] = ui.form_card(
        box="1 1 -1 -1",
        items=[
            ui.text_xl(f"Hello, world! And also you, {q.auth.username}!"),
            ui.text(f"You can build your own Machine Learning models here: {steam_url}")
        ]
    )

    await q.page.save()
